Create environment
/api/v1/app/{appId}/env Create Environment
Creates a new Stackhawk Environment for this application.
This is represented as a StackHawk Application with populated env and envId fields.
Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see Applications.
| Parameter | Default | Description |
|---|---|---|
| applicationId | "" | The UUID identifier of this application. |
| name | "" | The name of this application. |
| env | "" | The name of this environment. Only set when requesting Application Environments. |
| envId | "" | The UUID identifier of this environment. |
| applicationStatus | "ACTIVE" | The status of this application. Either ACTIVE or ENV_INCOMPLETE. |
| organizationId | "" | The UUID identifier of the organization that owns this application. |
| applicationType | "STANDARD" | The type of this application. |
| cloudScanTarget | {} | Optional Cloud Scan Target configuration. |
👥 Teams Supported If the user belongs to a StackHawk Team, a created environment will belong to the user's Team.
🧾 Audited This is recorded as
ENVIRONMENT_ADDEDUser Activity.
Requires
write:applicationpermission.
Path parameters
appIdstring · uuidrequiredUUID identifier for this StackHawk Application.
Query parameters
hoststringOptional host URL for the new environment's default hosted scan configuration.
Body
The UUID identifier of this application.
The name of this new environment.
The UUID identifier of the organization that will own this environment.
Response
Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see Applications.
The UUID identifier of this application.
The status of this application. Either ACTIVE or ENV_INCOMPLETE.
2 available options
ACTIVEENV_INCOMPLETEThe type of this application.
2 available options
STANDARDCLOUDThe perceived dataType of this application. Currently unused.
7 available options
NONEPIIPCIFINPKIHIPAAFERPAThe name of this environment. Only set when requesting Application Environments.
The UUID identifier of this environment.
The name of this application.
The UUID identifier of the organization that owns this application.
The perceived riskLevel of this application. Currently unused.
4 available options
LOWMEDIUMHIGHCRITICALThe UUID identifier of this application.
The status of this application. Either ACTIVE or ENV_INCOMPLETE.
2 available options
ACTIVEENV_INCOMPLETEThe type of this application.
2 available options
STANDARDCLOUDThe perceived dataType of this application. Currently unused.
7 available options
NONEPIIPCIFINPKIHIPAAFERPAThe name of this environment. Only set when requesting Application Environments.
The UUID identifier of this environment.
The name of this application.
The UUID identifier of the organization that owns this application.
The perceived riskLevel of this application. Currently unused.
4 available options
LOWMEDIUMHIGHCRITICALBad Request
Unauthorized